function grhesseigs(H,k)

n = size(H,1);

sigma = eig(H);
% reorder the eigenvalues and the corresponding eigenvectors.
[~,ind] = sort(abs(sigma),1,'descend');
sigma = sigma(ind);
sigma = abs(sigma);
eignumber = 1:n;
plot(eignumber,sigma,'o');
hold on;
plot(k,sigma(k),'*');
hold off;
